import React from 'react';
import cx from 'classnames';
import theme from './theme.css';
import Box from '../box';
import Icon from '../icon';
import { IconTeamMediumOutline, IconTeamSmallOutline } from '@teamleader/ui-icons';

var AvatarTeam = function AvatarTeam(_ref) {
  var size = _ref.size;
  return /*#__PURE__*/React.createElement(Box, {
    alignItems: "center",
    backgroundColor: "neutral",
    backgroundTint: "darkest",
    className: cx(theme['avatar'], theme['avatar-team']),
    "data-teamleader-ui": "avatar-team",
    display: "flex",
    justifyContent: "center"
  }, /*#__PURE__*/React.createElement(Icon, {
    color: "neutral",
    tint: "light"
  }, size === 'tiny' || size === 'small' ? /*#__PURE__*/React.createElement(IconTeamSmallOutline, null) : /*#__PURE__*/React.createElement(IconTeamMediumOutline, null)));
};

export default AvatarTeam;